%define	major 0
%define libname %mklibname jbig2dec %{major}
%define develname %mklibname jbig2dec -d

Summary:	A decoder implementation of the JBIG2 image compression format
Name:		jbig2dec
Version:	    0.20
Release:	%mkrel 1
License:	    AGPLv3
Group:		Graphics
URL:		    https://www.jbig2dec.com/
Source0:	 https://github.com/ArtifexSoftware/ghostpdl-downloads/releases/download/gs9530/%{name}-%{version}.tar.xz
Patch2:		jbig2dec-0.11-automake-1.13.patch
Patch6:		1001_ignore_python_test.patch
Patch8:		2001_disable_memento.patch
Patch9:		2002_abi_compat.patch
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

%package -n	%{libname}
Summary:	A decoder implementation of the JBIG2 image compression format
Group:          System/Libraries

%description -n	%{libname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package -n	%{develname}
Summary:	Static library and header files for development with jbig2dec
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	jbig2dec-devel = %{version}-%{release}

%description -n	%{develname}
jbig2dec is a decoder implementation of the JBIG2 image compression format.
JBIG2 is designed for lossy or lossless encoding of 'bilevel' (1-bit 
monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression
ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications
which requires the jbig2dec library.

%prep
%setup -q
%autopatch -p1

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%build
libtoolize --copy --force; aclocal; autoheader; autoconf; automake --foreign --copy --add-missing

%configure2_5x --disable-static

%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/jbig2dec
%attr(0644,root,root) %{_mandir}/man1/jbig2dec.1*

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGES COPYING LICENSE README
%attr(0755,root,root) %{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/jbig2dec.pc


%changelog
* Wed Nov 29 2023 pp 0.20-1pclos2023
- new version

* Sun Oct 10 2021 pp 0.19-1pclos2021
- update

* Wed May 20 2020 ghostbunny <ghostbunny at gmx dot de> 0.17-1pclos2020
- 0.17
- update URL

* Wed Jan 06 2016 bb <bb> 0.12-1pclos2016
- update

* Wed Aug 04 2011 Texstar <texstar at gmail.com> 0.11-1pclos2011
- 0.11
